import upload from '@/utils/upload'
import request from '@/utils/request'
// 用户头像上传
export function uploadAvatar(data) {
	return upload({
		url: '',
		name: data.name,
		filePath: data.filePath
	})
}

// 用户列表
export function getUserState() {
	return request({
		'url': '/app/driver/list?pageNum=1&pageSize=10000',
		'method': 'get',
	})
}

//用户详情 
export function driverInfo(id) {
	return request({
		'url': '/app/driver/' + id,
		'method': 'get',
	})
}

//获取车辆类型
export function getDriverType() {
	return request({
		'url': '/system/dict/data/type/driver_type',
		'method': 'get',
	})
}
//车辆选择
export function getTeuckList(data) {
	return request({
		'url': '/app/truck/getTruckList',
		'method': 'post',
		'data':data
	})
}

// 企业ID
// companyId
// //所属车辆
// truckId:null,
// //司机姓名
// driverName:null,
// // 身份证号
// cardNum:null,
// //联系电话
// phone:null,
// //驾照类型
// driverType:null,
// //驾驶证件
// imgList:[]
// 新增用户
export function driverAdd(data) {
	return request({
		'url': '/app/driver',
		'method': 'post',
		data: data
	})
}

//人员解绑
export function driverJb(id) {
	return request({
		'url': '/app/driver/' + id,
		'method': 'delete',
	})
}



//人员绑定
// {
// 	"id": "1016300478932209664",
// 	"truckId": "1016300221263532032",
// 	"deleteFlag": 0
// }
export function driverBd(data) {
	return request({
		'url': '/app/driver',
		'method': 'PUT',
		'data':data
	})
}

//人员信息修改
export function driverUpadate(data) {
	return request({
		'url': '/app/driver',
		'method': 'PUT',
		'data':data
	})
}